direct-plugins: Lightweight replacement for Plugins, specific to GHC

[ bsd3, library, system ] [ Propose Tags ]
Versions 1.0, 1.1
Dependencies base (>=4.1 && <5), ghc (>=6.12), ghc‑paths (>= [details]
License BSD-3-Clause
Copyright Copyright (c) 2009 Dan Knapp
Author Dan Knapp
Category System
Home page
Bug tracker
Uploaded by IreneKnapp at Tue Mar 16 13:50:13 UTC 2010
Distributions NixOS:1.1
Downloads 890 total (9 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs uploaded by user
Build status unknown [no reports yet]
Hackage Matrix CI

The Plugins package unfortunately does not work on GHC 6.12, and is at any rate rather poorly documented. This package uses the same general strategy but without quite as many options, aiming to be simple and useful rather than complete. This release renames load to unsafeLoad and adds loadDynamic, which is type-safe.




Maintainer's Corner

For package maintainers and hackage trustees